.image-uploader input {
    position: relative;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 1;
}

.upload-text {
    height: 200px;
    position: relative;
    border: 1px dashed;
}

.upload-text-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 14px;
    width: 100%;
    text-align: center;
}

.upload-text-wrapper span {
    margin-left: 10px;
}

.margin30t {
    margin-top: 30px;
}


/** CUSTOM CSS **/

.chat_application_section {
    display: flex;
}

#chat_user_list {
    padding: 10px;
}

#chatbox {
    transition: all 0.2s;
}

#details_of_user {
    width: 0%;
    transition: all 0.2s;
}

#chat_user_list {
    background-color: #fffaf0;
}

#chat_user_list #user_list {
    overflow-y: scroll;
    height: calc(100% - 80px);
}

#user_details #message {
    font-size: 15px;
}

#time {
    font-size: 14px;
}

#update_container {
    position: absolute;
    width: 28%;
    top: 50%;
    left: 50%;
    border-radius: 5px;
    transform: translate(-50%, -50%);
    background-color: white;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.5);
    overflow: hidden;
    display: none;
}

#update_container form {
    padding: 10px;
}

#update_container i {
    float: right;
    cursor: pointer;
}

#update_container #update_bio {
    width: 100%;
    height: 100px;
    resize: none;
    border-style: none;
    outline: none;
    background-color: #f5f6fa;
    border-radius: 5px;
    padding: 10px;
}

#update_btn {
    background-color: #157dff;
    color: white;
}

#search_box_container {
    display: flex;
    align-items: center;
    justify-content: center;
}

#search_box_container #search {
    width: 100%;
    border-style: none;
    border-radius: 20px;
    padding-left: 25px;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
}

.user {
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    border-radius: 5px;
}

.user:hover {
    background-color: white;
}

.active {
    background-color: white;
}

#user_avtar {
    height: 50px;
    width: 50px;
    border-radius: 100%;
    position: relative;
}

#online {
    position: absolute;
    height: 14px;
    width: 14px;
    border-radius: 100%;
    background-color: #5bde4d;
    bottom: 0;
    right: 0;
    border: 2px solid white;
}

#online.offline {
    background-color: #888;
}

#avtar_and_details {
    display: flex;
    align-items: center;
}

#user_details {
    margin-left: 5px;
}

#chatbox {
    position: relative;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 20px;
    margin-top: 30px;
}

#chat_user_list,
#chatbox {
    height: 50vh;
}

#data_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#bg_image {
    height: 300px;
    width: 380px;
    background-image: url("http://localhost/rtchat-ci/assets/images/pchatn.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

.chatting_section {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: white;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    top: 0;
    left: 0;
}

#header {
    width: 100%;
    height: 12%;
    background-color: #f5f6fa;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 2px solid white;
    padding: 10px;
}

#name_details {
    display: flex;
    align-items: center;
}

#chat_profile_image {
    position: relative;
    height: 40px;
    width: 40px;
    border-radius: 100%;
}

#name_last_seen {
    margin-left: 15px;
}

#name_last_seen p {
    font-size: 15px;
}

#icons {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    /* background:black; */
}

#icons div i {
    padding-right: 10px;
    cursor: pointer;
    /* color: #AFAFAF; */
}

#icons div i:hover {
    color: rgba(0, 0, 0, 0.5);
}

#messageBar {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#textBox_attachment_emoji_container {
    width: 90%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    background-color: #f5f6fa;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
}

#text_box_message {
    width: 92%;
    margin: 10px 15px;
}

#messageText {
    border-style: none;
    padding-left: 15px;
    background-color: transparent;
}

#messageText:focus {
    outline: none !important;
    box-shadow: none !important;
}

#text_counter {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-right: 20px;
    font-size: 18px;
}

#text_counter p {
    margin: 0px;
}

#sendButtonContainer {
    width: 10%;
    justify-content: center;
    display: flex;
    align-items: center;
}

#sendButtonContainer .send_rt_message {
    background-color: #D52238;
    color: white;
    height: 40px;
    width: 40px;
    border-radius: 100%;
    justify-content: center;
    display: flex;
    align-items: center;
    border: 1px solid transparent;
    cursor: pointer;
    margin-left: 10px;
}

#sendButtonContainer .send_rt_message:hover {
    background-color: #000;
    text-decoration: none;
}

#chat_message_area {
    height: 100%;
    width: 100%;
    padding: 20px;
    overflow-y: scroll;
    background: #fff;
    font-size: 14px;
}

#chat_message_area p {
    margin: 5px 0px;
}

#sender_msg_container {
    margin: 5px 0px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
}

#receiver_msg_container {
    margin: 5px 0px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

#sender_image,
#receiver_image {
    height: 35px;
    width: 35px;
    margin: 0px 5px;
    border-radius: 100%;
}

#chat_message_area #sender_msg {
    max-width: 50%;
    width: fit-content;
    height: fit-content;
    word-wrap: break-word;
    border-radius: 3px 15px 15px 15px;
    background-color: #ff4259;
    color: #fff;
}

#chat_message_area #sender_msg p {
    text-align: justify;
    padding: 2px 15px 2px 15px;
    font-size: 14px;
}

#chat_message_area #receiver_msg {
    max-width: 50%;
    width: fit-content;
    word-wrap: break-word;
    height: fit-content;
    border-radius: 15px 3px 15px 15px;
    background-color: #ff4259;
    color: #fff;
}

#chat_message_area #receiver_msg p {
    text-align: justify;
    padding: 2px 15px 2px 15px;
    font-size: 14px;
}

#not_message_yet {
    height: 100%;
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

#not_message_yet div {
    height: 55%;
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#not_message_yet div div {
    height: 150px;
    width: 150px;
    background-size: 100% 100%;
    border-radius: 100%;
    background-position: center;
    background-repeat: no-repeat;
}

#not_message_yet div p,
h4 {
    margin: 5px;
}

.chatting_section form {
    width: 100%;
}

.file_open {
    font-size: 19px;
    padding: 12px;
    background-color: #D52238;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    margin-left: 15px;
    vertical-align: top;
    color: #fff;
}

.file_open .fa {
    vertical-align: top;
}

.file_open.fa-paperclip:before {
    color: white;
}

.material-icons {
    font-size: 18px;
    line-height: 1;
    display: inline-block;
}

.send_rt_message,
.file_open:hover {
    background-color: #000;
    text-decoration: none;
}

.attachment_fol .small_docs_upld .upload-text {
    height: 40px;
}

.attachment_fol .col-sm-12 {
    width: 90%;
    display: none;
}

.attachment_fol {
    width: 100%;
}

.doc_loop.uploaded {
    padding: 0;
}

.doc_loop {
    margin-top: 15px;
    display: flex;
    padding: 0 35px;
    justify-content: left;
    flex-wrap: wrap;
    row-gap: 10px;
    width: 100%;
}

.input_images {
    height: 40px;
    border: 1px dashed;
    position: relative;
}

.image-uploader {
    width: 100%;
    height: 100%;
}

.upload-texts {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.txt-right {
    text-align: right;
}

.txt-left {
    text-align: left;
}

.chatting_section .msg_timedata {
    margin: 20px 10px 0px 0px;
}

.chatting_section .attach,
.chatting_section .attachement {
    word-wrap: break-word;
    height: fit-content;
    border-radius: 15px 3px 15px 15px;
    color: #D52238;
    padding: 7px 15px 7px 15px;
    display: inline-block;
    line-height: 1.5;
}

.msg_separator {
    display: block;
    position: relative;
    margin: 5px 0px;
    text-align: center;
    line-height: 1;
}

.msg_separator:before {
    content: '';
    position: absolute;
    top: 16px;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #000;
}

.msg_separator span {
    display: inline-block;
    padding: 10px 20px;
    background-color: #fff;
    position: relative;
}

.send_btn_c {
    width: 5% !important;
}

.attach,
.receiver_attach {
    color: #D52238;
    text-align: right;
    margin-bottom: 20px;
    width: 100%;
}

.receiver_attach {
    text-align: left;
}

#chat_message_area a {
    color: #D52238;
}

.form-chat-msg {
    position: relative;
}

.form-chat-msg.loading {
    pointer-events: none;
    background: rgb(225 30 55 / 30%);
}

.form-chat-msg.loading::before {
    z-index: 1;
}

.msg_pac_tit {
    margin: 10px 0 5px 45px;
    font-weight: 600;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    transition: all .3s ease;
}
.msg_pac_tit:hover {
    text-decoration: underline;
}